<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/ActionRepackTent.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/ddd/_action_repack_tent_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionRepackTent.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/ddd/_action_repack_tent_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dc/dab/class_action_repack_tent_c_b.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/dab/class_action_repack_tent_c_b.html">ActionRepackTentCB</a> : <a class="code hl_class" href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dc/dab/class_action_repack_tent_c_b.html#aa7011b5c93db35eef5c6c24c5d44ec83">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dab/class_action_repack_tent_c_b.html#aa7011b5c93db35eef5c6c24c5d44ec83">CreateActionComponent</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d1/dc2/class_c_a_continuous_time.html">CAContinuousTime</a>( <a class="code hl_class" href="../../d8/d3b/class_u_a_time_spent.html">UATimeSpent</a>.<a class="code hl_variable" href="../../d8/d3b/class_u_a_time_spent.html#a2259a2e42918a4df2b10a2a5f3c582d8">UNPACK</a> );</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../dc/dab/class_action_repack_tent_c_b.html#a162a647a2e21616fb256f24d5ddf7b03">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dab/class_action_repack_tent_c_b.html#a162a647a2e21616fb256f24d5ddf7b03">DropDuringRepacking</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> orientation = <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetOrientation();</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> position = <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetPosition() + <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetDirection();</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> rotation_matrix[3];</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordtype">float</span> direction[4];</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> source = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> destination = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_class" href="../../d5/dc8/group___math3_d_a_p_i.html#da/d94/class_math3_d">Math3D</a>.<a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga91222ac45b26b806e50d1d77268114de">YawPitchRollMatrix</a>( orientation, rotation_matrix );</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_class" href="../../d5/dc8/group___math3_d_a_p_i.html#da/d94/class_math3_d">Math3D</a>.<a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga84dabcc554ad75b70eff6cf7b18056b8">MatrixToQuat</a>( rotation_matrix, direction );</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> ground_position = position;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        ground_position[1] = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a183e4d40b5a4c2a0c8435aa7293c4d1d">SurfaceY</a>(ground_position[0],ground_position[2]);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">DistanceSq</a>( <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetPosition(), ground_position ) &gt; <a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a> * <a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a>)</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetInventory().GetCurrentInventoryLocation( source ) )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>                destination.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#a29a2cfba56bdc6e5e907d5887ecaa02c">SetGroundEx</a>( <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, position, direction );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.PredictiveTakeToDst(source, destination);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetInventory().GetCurrentInventoryLocation( source ) )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                destination.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#a29a2cfba56bdc6e5e907d5887ecaa02c">SetGroundEx</a>( <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, ground_position, direction );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.PredictiveTakeToDst(source, destination);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>};</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html">   42</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d91/class_action_repack_tent.html">ActionRepackTent</a>: <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>{</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#af43bab452a18571d876dfac19cee27f5">   44</a></span>    <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_variable" href="../../d9/d91/class_action_repack_tent.html#af43bab452a18571d876dfac19cee27f5">m_RepackedEntity</a>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#a45c9e599f60aef74fe92dbd21ee78ca5">   45</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d9/d91/class_action_repack_tent.html#a45c9e599f60aef74fe92dbd21ee78ca5">m_IsFinished</a>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#a1221ddc142bed6b82ee795d16f2bd5ca">   47</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#a1221ddc142bed6b82ee795d16f2bd5ca">ActionRepackTent</a>()</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">m_CallbackClass</a> = <a class="code hl_class" href="../../dc/dab/class_action_repack_tent_c_b.html">ActionRepackTentCB</a>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> = <a class="code hl_class" href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a>.<a class="code hl_variable" href="../../d0/dbd/class_u_a_soft_skills_weight.html#aca0b0ad8f2753c2d1ba69ca1cf7baf55">PRECISE_LOW</a>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = 0;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#repack_tent&quot;</span>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#a470f32378a982bbf898d567a91c2bce0">   57</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#a470f32378a982bbf898d567a91c2bce0">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {   </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#ab21c9f02b2b090f6978443d07785d9d5">   63</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#ab21c9f02b2b090f6978443d07785d9d5">HasTarget</a>()</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#af66623dd5bbcb0d200b20abab25b2f83">   68</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#af66623dd5bbcb0d200b20abab25b2f83">HasProgress</a>()</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#ab38c581b92d93b462b0aad67fd96e833">   73</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#ab38c581b92d93b462b0aad67fd96e833">ActionConditionContinue</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#ab550157b6981ece321bb4c44a3deced3">   78</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#ab550157b6981ece321bb4c44a3deced3">HasAlternativeInterrupt</a>()</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#a4e541fa901f6322c4d59a5056db3c9e0">   83</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#a4e541fa901f6322c4d59a5056db3c9e0">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {   </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">if</span> ( !player.IsPlacingLocal() )</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#a127670a4041826a0ef4720df9fc08de6">   92</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#a127670a4041826a0ef4720df9fc08de6">SetupAction</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item, out <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data, <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> extra_data = NULL)</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {   </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#a7034bc4f606337e239721edde1660425">SetupAnimation</a>( item );</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">if</span> ( super.SetupAction(player, target, item, action_data, extra_data ))</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        {           </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#a5d2bf1018c3d3b0dac98ffc91eeca9d6">  103</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#a5d2bf1018c3d3b0dac98ffc91eeca9d6">OnStartServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <a class="code hl_variable" href="../../d9/d91/class_action_repack_tent.html#af43bab452a18571d876dfac19cee27f5">m_RepackedEntity</a> = null;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <a class="code hl_variable" href="../../d9/d91/class_action_repack_tent.html#a45c9e599f60aef74fe92dbd21ee78ca5">m_IsFinished</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#a27bac324d927706346037c5e8588b1f1">  109</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#a27bac324d927706346037c5e8588b1f1">OnFinishProgressServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    {           </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        Param1&lt;bool&gt; play = <span class="keyword">new</span> Param1&lt;bool&gt;( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a37e75fed7ec2e7935722caf9cc1c6fb9">RPCSingleParam</a>( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, <a class="code hl_enumeration" href="../../d7/d30/_large_tent_8c.html#aa3f87dc65c87584aee3ad19f700a9e78">SoundTypeTent</a>.REPACK, play, <span class="keyword">true</span> );</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <a class="code hl_variable" href="../../d9/d91/class_action_repack_tent.html#a45c9e599f60aef74fe92dbd21ee78ca5">m_IsFinished</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#ac039d8d529a7eced51f76495e2084170">  117</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#ac039d8d529a7eced51f76495e2084170">OnEndServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    {       </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d9/d91/class_action_repack_tent.html#a45c9e599f60aef74fe92dbd21ee78ca5">m_IsFinished</a> )</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.IsInherited( <a class="code hl_class" href="../../d9/d6f/class_tent_base.html">TentBase</a> ) ) </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            {</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>                <a class="code hl_class" href="../../d4/dd9/class_repack_lambda.html">RepackLambda</a> lambda_back_pack = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/dd9/class_repack_lambda.html">RepackLambda</a>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, <span class="stringliteral">&quot;LargeTentBackPack&quot;</span>, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>                action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.ServerReplaceItemElsewhereWithNewInHands(lambda_back_pack);</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            <span class="keywordflow">if</span> (  action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.IsInherited( <a class="code hl_class" href="../../d8/db4/class_clothing.html">Clothing</a> ) ) </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            {</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>                <a class="code hl_class" href="../../d4/dd9/class_repack_lambda.html">RepackLambda</a> lambda_tent = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/dd9/class_repack_lambda.html">RepackLambda</a>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, <span class="stringliteral">&quot;LargeTent&quot;</span>, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>                action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.ServerReplaceItemElsewhereWithNewInHands(lambda_tent);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() )</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            {       </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>                <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> )</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>                {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>                    action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.ServerTakeEntityToHands( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> );</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>                }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>                <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> )</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>                {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>                    action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.LocalTakeEntityToHands( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> );</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>                }</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            }</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    }</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#a7034bc4f606337e239721edde1660425">  152</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#a7034bc4f606337e239721edde1660425">SetupAnimation</a>( <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    {</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="keywordflow">if</span> ( item.IsHeavyBehaviour() )</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_DEPLOY_HEAVY;</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        }</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( item.IsOneHandedBehaviour() )</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        {</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_DEPLOY_1HD; </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( item.IsTwoHandedBehaviour() )</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>            <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_DEPLOY_2HD;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        }</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        {</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;Error: check &quot;</span> + item + <span class="stringliteral">&quot; behaviour&quot;</span>);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#a3816c83838ab622028f24e1a9c6cec14">  172</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#a3816c83838ab622028f24e1a9c6cec14">OnStartAnimationLoopClient</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    {                   </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetItemInHands() )</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            <a class="code hl_class" href="../../dc/dab/class_action_repack_tent_c_b.html">ActionRepackTentCB</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">m_Callback</a>).<a class="code hl_function" href="../../dc/dab/class_action_repack_tent_c_b.html#a162a647a2e21616fb256f24d5ddf7b03">DropDuringRepacking</a>();</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    }</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#a397ee4bc7e17694fa21ae8ef63764dfd">  178</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#a397ee4bc7e17694fa21ae8ef63764dfd">OnStartAnimationLoopServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        Param1&lt;bool&gt; play = <span class="keyword">new</span> Param1&lt;bool&gt;( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() )</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        {       </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>            <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetItemInHands() )</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>                <a class="code hl_class" href="../../dc/dab/class_action_repack_tent_c_b.html">ActionRepackTentCB</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">m_Callback</a>).<a class="code hl_function" href="../../dc/dab/class_action_repack_tent_c_b.html#a162a647a2e21616fb256f24d5ddf7b03">DropDuringRepacking</a>();</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        }       </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span> </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetItemInHands() )</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        {</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>            play = <span class="keyword">new</span> Param1&lt;bool&gt;( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a37e75fed7ec2e7935722caf9cc1c6fb9">RPCSingleParam</a>( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, <a class="code hl_enumeration" href="../../d7/d30/_large_tent_8c.html#aa3f87dc65c87584aee3ad19f700a9e78">SoundTypeTent</a>.REPACK, play, <span class="keyword">true</span> );</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        }</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno"><a class="line" href="../../d9/d91/class_action_repack_tent.html#ac76030294ef4b02d2ce6801fbdd04cd3">  194</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d91/class_action_repack_tent.html#ac76030294ef4b02d2ce6801fbdd04cd3">OnEndAnimationLoop</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() || <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>            Param1&lt;bool&gt; play = <span class="keyword">new</span> Param1&lt;bool&gt;( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a37e75fed7ec2e7935722caf9cc1c6fb9">RPCSingleParam</a>( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, <a class="code hl_enumeration" href="../../d7/d30/_large_tent_8c.html#aa3f87dc65c87584aee3ad19f700a9e78">SoundTypeTent</a>.REPACK, play, <span class="keyword">true</span> );</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        }</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    }</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>};</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span> </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno"><a class="line" href="../../d4/dd9/class_repack_lambda.html">  204</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/dd9/class_repack_lambda.html">RepackLambda</a> : <a class="code hl_class" href="../../d1/de0/class_turn_item_into_item_lambda.html">TurnItemIntoItemLambda</a></div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>{</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno"><a class="line" href="../../d4/dd9/class_repack_lambda.html#a00a8522f30b0c8c3724b0818d7929e87">  206</a></span>    <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_variable" href="../../d4/dd9/class_repack_lambda.html#a00a8522f30b0c8c3724b0818d7929e87">m_RepackedNewEntity</a>;</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno"><a class="line" href="../../d4/dd9/class_repack_lambda.html#acae25e5f8313172d234294a49c475832">  208</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/dd9/class_repack_lambda.html#acae25e5f8313172d234294a49c475832">RepackLambda</a> (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <span class="keywordtype">string</span> new_item_type, <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    {</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> hands = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        hands.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#af5b971f773deb968c54cfb6ca66df780">SetHands</a>( player, null );</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        OverrideNewLocation( hands );</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    }</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a37c66588f056fd9eb9eb3a4c4890083d"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a></div><div class="ttdeci">protected float m_SpecialtyWeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00068">ActionBase.c:68</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adb7a179f0ce9195c7dc300367bbaf51a"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a></div><div class="ttdeci">protected bool m_FullBody</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00052">ActionBase.c:52</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_large_tent_8c_html_aa3f87dc65c87584aee3ad19f700a9e78"><div class="ttname"><a href="../../d7/d30/_large_tent_8c.html#aa3f87dc65c87584aee3ad19f700a9e78">SoundTypeTent</a></div><div class="ttdeci">SoundTypeTent</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d30/_large_tent_8c_source.html#l00001">LargeTent.c:2</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_c_b_html"><div class="ttname"><a href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00001">ActionContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a3670327f6d411b07d3006af36d24510d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">ActionData::m_Callback</a></div><div class="ttdeci">ActionBaseCB m_Callback</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00029">ActionBase.c:29</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_c_b_html"><div class="ttname"><a href="../../dc/dab/class_action_repack_tent_c_b.html">ActionRepackTentCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00001">ActionRepackTent.c:2</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_c_b_html_a162a647a2e21616fb256f24d5ddf7b03"><div class="ttname"><a href="../../dc/dab/class_action_repack_tent_c_b.html#a162a647a2e21616fb256f24d5ddf7b03">ActionRepackTentCB::DropDuringRepacking</a></div><div class="ttdeci">void DropDuringRepacking()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00008">ActionRepackTent.c:8</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_c_b_html_aa7011b5c93db35eef5c6c24c5d44ec83"><div class="ttname"><a href="../../dc/dab/class_action_repack_tent_c_b.html#aa7011b5c93db35eef5c6c24c5d44ec83">ActionRepackTentCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00003">ActionRepackTent.c:3</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html">ActionRepackTent</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00042">ActionRepackTent.c:43</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_a1221ddc142bed6b82ee795d16f2bd5ca"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#a1221ddc142bed6b82ee795d16f2bd5ca">ActionRepackTent::ActionRepackTent</a></div><div class="ttdeci">void ActionRepackTent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00047">ActionRepackTent.c:47</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_a127670a4041826a0ef4720df9fc08de6"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#a127670a4041826a0ef4720df9fc08de6">ActionRepackTent::SetupAction</a></div><div class="ttdeci">override bool SetupAction(PlayerBase player, ActionTarget target, ItemBase item, out ActionData action_data, Param extra_data=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00092">ActionRepackTent.c:92</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_a27bac324d927706346037c5e8588b1f1"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#a27bac324d927706346037c5e8588b1f1">ActionRepackTent::OnFinishProgressServer</a></div><div class="ttdeci">override void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00109">ActionRepackTent.c:109</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_a3816c83838ab622028f24e1a9c6cec14"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#a3816c83838ab622028f24e1a9c6cec14">ActionRepackTent::OnStartAnimationLoopClient</a></div><div class="ttdeci">override void OnStartAnimationLoopClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00172">ActionRepackTent.c:172</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_a397ee4bc7e17694fa21ae8ef63764dfd"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#a397ee4bc7e17694fa21ae8ef63764dfd">ActionRepackTent::OnStartAnimationLoopServer</a></div><div class="ttdeci">override void OnStartAnimationLoopServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00178">ActionRepackTent.c:178</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_a45c9e599f60aef74fe92dbd21ee78ca5"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#a45c9e599f60aef74fe92dbd21ee78ca5">ActionRepackTent::m_IsFinished</a></div><div class="ttdeci">bool m_IsFinished</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00045">ActionRepackTent.c:45</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_a470f32378a982bbf898d567a91c2bce0"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#a470f32378a982bbf898d567a91c2bce0">ActionRepackTent::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00057">ActionRepackTent.c:57</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_a4e541fa901f6322c4d59a5056db3c9e0"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#a4e541fa901f6322c4d59a5056db3c9e0">ActionRepackTent::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00083">ActionRepackTent.c:83</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_a5d2bf1018c3d3b0dac98ffc91eeca9d6"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#a5d2bf1018c3d3b0dac98ffc91eeca9d6">ActionRepackTent::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00103">ActionRepackTent.c:103</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_a7034bc4f606337e239721edde1660425"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#a7034bc4f606337e239721edde1660425">ActionRepackTent::SetupAnimation</a></div><div class="ttdeci">void SetupAnimation(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00152">ActionRepackTent.c:152</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_ab21c9f02b2b090f6978443d07785d9d5"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#ab21c9f02b2b090f6978443d07785d9d5">ActionRepackTent::HasTarget</a></div><div class="ttdeci">override bool HasTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00063">ActionRepackTent.c:63</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_ab38c581b92d93b462b0aad67fd96e833"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#ab38c581b92d93b462b0aad67fd96e833">ActionRepackTent::ActionConditionContinue</a></div><div class="ttdeci">override bool ActionConditionContinue(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00073">ActionRepackTent.c:73</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_ab550157b6981ece321bb4c44a3deced3"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#ab550157b6981ece321bb4c44a3deced3">ActionRepackTent::HasAlternativeInterrupt</a></div><div class="ttdeci">override bool HasAlternativeInterrupt()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00078">ActionRepackTent.c:78</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_ac039d8d529a7eced51f76495e2084170"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#ac039d8d529a7eced51f76495e2084170">ActionRepackTent::OnEndServer</a></div><div class="ttdeci">override void OnEndServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00117">ActionRepackTent.c:117</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_ac76030294ef4b02d2ce6801fbdd04cd3"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#ac76030294ef4b02d2ce6801fbdd04cd3">ActionRepackTent::OnEndAnimationLoop</a></div><div class="ttdeci">override void OnEndAnimationLoop(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00194">ActionRepackTent.c:194</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_af43bab452a18571d876dfac19cee27f5"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#af43bab452a18571d876dfac19cee27f5">ActionRepackTent::m_RepackedEntity</a></div><div class="ttdeci">EntityAI m_RepackedEntity</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00044">ActionRepackTent.c:44</a></div></div>
<div class="ttc" id="aclass_action_repack_tent_html_af66623dd5bbcb0d200b20abab25b2f83"><div class="ttname"><a href="../../d9/d91/class_action_repack_tent.html#af66623dd5bbcb0d200b20abab25b2f83">ActionRepackTent::HasProgress</a></div><div class="ttdeci">override bool HasProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00068">ActionRepackTent.c:68</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a7bce84f3ceb181aacfabdfb000c56461"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">AnimatedActionBase::m_CallbackClass</a></div><div class="ttdeci">protected m_CallbackClass</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00127">AnimatedActionBase.c:127</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_time_html"><div class="ttname"><a href="../../d1/dc2/class_c_a_continuous_time.html">CAContinuousTime</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/daa/_c_a_continuous_time_8c_source.html#l00001">CAContinuousTime.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_none_html"><div class="ttname"><a href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/_c_c_t_none_8c_source.html#l00001">CCTNone.c:2</a></div></div>
<div class="ttc" id="aclass_c_game_html_a183e4d40b5a4c2a0c8435aa7293c4d1d"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a183e4d40b5a4c2a0c8435aa7293c4d1d">CGame::SurfaceY</a></div><div class="ttdeci">proto native float SurfaceY(float x, float z)</div></div>
<div class="ttc" id="aclass_c_game_html_a37e75fed7ec2e7935722caf9cc1c6fb9"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a37e75fed7ec2e7935722caf9cc1c6fb9">CGame::RPCSingleParam</a></div><div class="ttdeci">void RPCSingleParam(Object target, int rpc_type, Param param, bool guaranteed, PlayerIdentity recipient=NULL)</div><div class="ttdoc">see CGame.RPC</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l00852">Game.c:852</a></div></div>
<div class="ttc" id="aclass_clothing_html"><div class="ttname"><a href="../../d8/db4/class_clothing.html">Clothing</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/de8/_alice_bag___color_base_8c_source.html#l00001">AliceBag_ColorBase.c:1</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_inventory_location_html_a29a2cfba56bdc6e5e907d5887ecaa02c"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html#a29a2cfba56bdc6e5e907d5887ecaa02c">InventoryLocation::SetGroundEx</a></div><div class="ttdeci">proto native void SetGroundEx(EntityAI e, vector pos, float dir[4])</div><div class="ttdoc">sets current inventory location type to Ground with transformation mat</div></div>
<div class="ttc" id="aclass_inventory_location_html_af5b971f773deb968c54cfb6ca66df780"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html#af5b971f773deb968c54cfb6ca66df780">InventoryLocation::SetHands</a></div><div class="ttdeci">proto native void SetHands(notnull EntityAI parent, EntityAI e)</div><div class="ttdoc">sets current inventory location type to Hands</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_repack_lambda_html"><div class="ttname"><a href="../../d4/dd9/class_repack_lambda.html">RepackLambda</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00204">ActionRepackTent.c:205</a></div></div>
<div class="ttc" id="aclass_repack_lambda_html_a00a8522f30b0c8c3724b0818d7929e87"><div class="ttname"><a href="../../d4/dd9/class_repack_lambda.html#a00a8522f30b0c8c3724b0818d7929e87">RepackLambda::m_RepackedNewEntity</a></div><div class="ttdeci">EntityAI m_RepackedNewEntity</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00206">ActionRepackTent.c:206</a></div></div>
<div class="ttc" id="aclass_repack_lambda_html_acae25e5f8313172d234294a49c475832"><div class="ttname"><a href="../../d4/dd9/class_repack_lambda.html#acae25e5f8313172d234294a49c475832">RepackLambda::RepackLambda</a></div><div class="ttdeci">void RepackLambda(EntityAI old_item, string new_item_type, PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/ddd/_action_repack_tent_8c_source.html#l00208">ActionRepackTent.c:208</a></div></div>
<div class="ttc" id="aclass_tent_base_html"><div class="ttname"><a href="../../d9/d6f/class_tent_base.html">TentBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d99/_car_tent_8c_source.html#l00001">CarTent.c:2</a></div></div>
<div class="ttc" id="aclass_turn_item_into_item_lambda_html"><div class="ttname"><a href="../../d1/de0/class_turn_item_into_item_lambda.html">TurnItemIntoItemLambda</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00091">MiscGameplayFunctions.c:92</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00114">ActionConstants.c:115</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html_aca0b0ad8f2753c2d1ba69ca1cf7baf55"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html#aca0b0ad8f2753c2d1ba69ca1cf7baf55">UASoftSkillsWeight::PRECISE_LOW</a></div><div class="ttdeci">const float PRECISE_LOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00119">ActionConstants.c:119</a></div></div>
<div class="ttc" id="aclass_u_a_time_spent_html"><div class="ttname"><a href="../../d8/d3b/class_u_a_time_spent.html">UATimeSpent</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00026">ActionConstants.c:27</a></div></div>
<div class="ttc" id="aclass_u_a_time_spent_html_a2259a2e42918a4df2b10a2a5f3c582d8"><div class="ttname"><a href="../../d8/d3b/class_u_a_time_spent.html#a2259a2e42918a4df2b10a2a5f3c582d8">UATimeSpent::UNPACK</a></div><div class="ttdeci">const float UNPACK</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00079">ActionConstants.c:79</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="aclassvector_html_a21d8662c860e105943718b2da59349e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">vector::DistanceSq</a></div><div class="ttdeci">static proto native float DistanceSq(vector v1, vector v2)</div><div class="ttdoc">Returns the squere distance between tips of two 3D vectors.</div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_da/d94/class_math3_d"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#da/d94/class_math3_d">Math3D</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d4c/_en_math3_d_8c_source.html#l00027">EnMath3D.c:28</a></div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_ga84dabcc554ad75b70eff6cf7b18056b8"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#ga84dabcc554ad75b70eff6cf7b18056b8">Math3D::MatrixToQuat</a></div><div class="ttdeci">static proto void MatrixToQuat(vector mat[3], out float d[4])</div><div class="ttdoc">Converts rotation matrix to quaternion.</div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_ga91222ac45b26b806e50d1d77268114de"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#ga91222ac45b26b806e50d1d77268114de">Math3D::YawPitchRollMatrix</a></div><div class="ttdeci">static proto void YawPitchRollMatrix(vector ang, out vector mat[3])</div><div class="ttdoc">Creates rotation matrix from angles.</div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../d5/ddd/_action_repack_tent_8c.html">ActionRepackTent.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
